Bug 54089 - databases/phppgadmin update to 3.0
Summary: databases/phppgadmin update to 3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: nbm
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-07-04 13:50 UTC by Dmitry Morozovsky
Modified: 2003-08-14 07:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (15.63 KB, patch)
2003-07-04 13:50 UTC, Dmitry Morozovsky
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Morozovsky 2003-07-04 13:50:13 UTC
here is update for phpPgAdmin (port databases/phppgadmin) to freshly available
version 3.0
Comment 1 Sergey A. Osokin freebsd_committer 2003-07-04 13:51:43 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nbm

Over to maintainer.
Comment 2 Dmitry Morozovsky 2003-07-06 13:03:18 UTC
Oops, there is an error in merged pkg-plist. Unexec line regarding cinfuig
files should be

@unexec if cmp -s %D/www/data.default/phpPgAdmin/conf/config.inc.php %D/www/data.default/phpPgAdmin/conf/config.inc.php-dist; then rm -f %D/www/data. default/phpPgAdmin/conf/config.inc.php; fi
www/data.default/phpPgAdmin/conf/config.inc.php-dist
@exec [ -f %B/config.inc.php ] || cp %B/%f %B/config.inc.php

i.e. s,phpPgAdmin3,phpPgAdmin,g


Sincerely,
D.Marck                                     [DM5020, MCK-RIPE, DM3-RIPN]
------------------------------------------------------------------------
*** Dmitry Morozovsky --- D.Marck --- Wild Woozle --- marck@rinet.ru ***
------------------------------------------------------------------------
Comment 3 nbm freebsd_committer 2003-08-13 13:01:41 UTC
State Changed
From-To: open->closed

Update applied, thanks!
Comment 4 Dmitry Morozovsky 2003-08-14 07:04:17 UTC
Dear Neil,

you seem to miss a bit of inconsistency:

Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/databases/phppgadmin/pkg-plist,v
retrieving revision 1.7
diff -u -r1.7 pkg-plist
--- pkg-plist   13 Aug 2003 12:01:31 -0000      1.7
+++ pkg-plist   14 Aug 2003 05:59:53 -0000
@@ -37,8 +37,8 @@
 www/data.default/phpPgAdmin/classes/database/Postgres73.php
 www/data.default/phpPgAdmin/classes/database/Postgres74.php
 www/data.default/phpPgAdmin/conf/.cvsignore
-@unexec if cmp -s %D/www/data.default/phpPgAdmin3/conf/config.inc.php %D/www/data.default/phpPgAdmin3/conf/config.inc.php-dist; then rm -f %D/www/data.default/phpPgAdmin3/conf/config.inc.php; fi
-www/data.default/phpPgAdmin3/conf/config.inc.php-dist
+@unexec if cmp -s %D/www/data.default/phpPgAdmin/conf/config.inc.php %D/www/data.default/phpPgAdmin/conf/config.inc.php-dist; then rm -f %D/www/data.default/phpPgAdmin/conf/config.inc.php; fi
+www/data.default/phpPgAdmin/conf/config.inc.php-dist
 @exec [ -f %B/config.inc.php ] || cp %B/%f %B/config.inc.php
 www/data.default/phpPgAdmin/constraints.php
 www/data.default/phpPgAdmin/database.php


Sincerely,
D.Marck                                     [DM5020, MCK-RIPE, DM3-RIPN]
------------------------------------------------------------------------
*** Dmitry Morozovsky --- D.Marck --- Wild Woozle --- marck@rinet.ru ***
------------------------------------------------------------------------